# Environment

- PHP (>= 7, with openssl support)
- MySQL (>= 5.7)
- Git (>= 2.17)

# Configuration

Create `Config.php` (copy from `Config.php.example`) file and enter Database & Mailer credentials.

# Testing

```
$ php composer.phar install               # install dependencies
$ php seed.php                            # seed random dummy data
$ php -S localhost:8080 public/index.php  # start the server
```

- Each dummy user's password is `1234`.
