@extends('layout.master')

@section('title')
  Login -
@endsection

@section('content')
  <form method="POST" action="/user/login">
    <input type="hidden" name="_token" value="{{ $_SESSION['_token'] }}">
    <div class="form-group">
      <label for="username">Username</label>
      <input type="text" name="username" class="form-control" placeholder="Enter username" value="{{$username ?? '' }}">
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input type="password" name="password" class="form-control" placeholder="Enter password">
    </div>
    <button type="submit" class="btn btn-primary">Login</button>
    <a href="/user/password/reset" class="text-info float-right">Forgot password?</a>
  </form>
@endsection
