@extends('layout.master')

@section('title')
  Register -
@endsection

@section('content')
  <form method="POST" action="">
    <input type="hidden" name="_token" value="{{ $_SESSION['_token'] }}">
    <div class="form-group">
      <label for="username">Username</label>
      <input type="text" name="username" class="form-control" placeholder="Enter username" value="{{ $username ?? '' }}">
    </div>
    <div class="form-group">
      <label for="email">Email</label>
      <input type="email" name="email" class="form-control" placeholder="Enter email" value="{{ $email ?? '' }}">
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input type="password" name="password" class="form-control" placeholder="Enter password">
    </div>
    <div class="form-group">
      <label for="confirm-password">Confirmation</label>
      <input type="password" name="confirm-password" class="form-control" placeholder="Enter password again">
    </div>
    <button type="submit" class="btn btn-primary">Register</button>
  </form>
@endsection
